Bug 2265402 - [abrt] gnome-shell: meta_group_new(): gnome-shell killed by SIGABRT
Summary: [abrt] gnome-shell: meta_group_new(): gnome-shell killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 40
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a1250c228d22d4a5063be75c1ea...
Depends On:
Blocks: F40BetaFreezeException F40FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2024-02-21 20:52 UTC by penguin283
Modified: 2024-03-20 19:56 UTC (History)
13 users (show)

Fixed In Version: mutter-46.0-1.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-03-20 19:56:05 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: proc_pid_status (1.49 KB, text/plain)
2024-02-21 20:52 UTC, penguin283
no flags Details
File: maps (3.97 KB, text/plain)
2024-02-21 20:52 UTC, penguin283
no flags Details
File: limits (1.29 KB, text/plain)
2024-02-21 20:52 UTC, penguin283
no flags Details
File: environ (1.26 KB, text/plain)
2024-02-21 20:52 UTC, penguin283
no flags Details
File: open_fds (12.44 KB, text/plain)
2024-02-21 20:53 UTC, penguin283
no flags Details
File: mountinfo (3.10 KB, text/plain)
2024-02-21 20:53 UTC, penguin283
no flags Details
File: os_info (756 bytes, text/plain)
2024-02-21 20:53 UTC, penguin283
no flags Details
File: cpuinfo (3.16 KB, text/plain)
2024-02-21 20:53 UTC, penguin283
no flags Details
File: core_backtrace (50.90 KB, text/plain)
2024-02-21 20:53 UTC, penguin283
no flags Details
File: dso_list (166 bytes, text/plain)
2024-02-21 20:53 UTC, penguin283
no flags Details
File: var_log_messages (774 bytes, text/plain)
2024-02-21 20:53 UTC, penguin283
no flags Details
File: backtrace (150.34 KB, text/plain)
2024-02-21 20:53 UTC, penguin283
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME mutter issues 3329 0 None opened gnome46-rc x11/group.c:76:meta_group_new: assertion failed crash 2024-03-06 15:54:53 UTC
GNOME Gitlab GNOME mutter merge_requests 3656/ 0 None None None 2024-03-11 14:15:13 UTC

Description penguin283 2024-02-21 20:52:52 UTC
Description of problem:
Problem occurs on Thunderbird every time when sending an email.  While the email is sending I'll get logged out of Gnome everytime.  Am running the Test Day release of Gnome 46.  The emails do get sent and show up in the sent folder.  I know it's a pre-release but thought I'd report the problem.  No problems with any of the other tests so far.

Version-Release number of selected component:
gnome-shell-46~beta-6.fc40

Additional info:
reporter:       libreport-2.17.14
type:           CCpp
reason:         gnome-shell killed by SIGABRT
journald_cursor: s=44df1e87ea0c4359a66baa310e4ac732;i=3e61;b=a5d1da2faeb249128f51a74a99d7a72b;m=d7f7288;t=611addde979c2;x=7431707610930ce7
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.8.0-0.rc4.20240212git716f4aaa7b48.35.fc40.x86_64
package:        gnome-shell-46~beta-6.fc40
runlevel:       N 5
backtrace_rating: 4
crash_function: meta_group_new
comment:        Problem occurs on Thunderbird every time when sending an email.  While the email is sending I'll get logged out of Gnome everytime.  Am running the Test Day release of Gnome 46.  The emails do get sent and show up in the sent folder.  I know it's a pre-release but thought I'd report the problem.  No problems with any of the other tests so far.

Truncated backtrace:
Thread no. 1 (36 frames)
 #11 meta_group_new at ../src/x11/group.c:76
 #12 meta_window_x11_compute_group at ../src/x11/window-x11.c:4566
 #13 meta_window_x11_group_leader_changed at ../src/x11/window-x11.c:4606
 #14 meta_window_x11_set_transient_for at ../src/x11/window-x11.c:2042
 #15 meta_window_set_transient_for at ../src/core/window.c:7282
 #16 reload_prop_value at ../src/x11/window-props.c:206
 #17 meta_window_reload_property_from_xwindow at ../src/x11/window-props.c:115
 #18 meta_window_xwayland_process_property_notify at ../src/wayland/meta-window-xwayland.c:311
 #19 meta_window_x11_property_notify at ../src/x11/window-x11.c:2912
 #20 handle_other_xevent at ../src/x11/events.c:1590
 #21 meta_x11_display_handle_xevent at ../src/x11/events.c:1932
 #22 xevent_func at ../src/x11/events.c:1971
 #23 meta_x11_event_source_dispatch at ../src/x11/meta-x11-event-source.c:62
 #25 g_main_context_dispatch_unlocked at ../glib/gmain.c:4152
 #26 g_main_context_iterate_unlocked.isra.0 at ../glib/gmain.c:4217
 #28 meta_context_run_main_loop at ../src/core/meta-context.c:523
 #29 ffi_call_unix64 at ../src/x86/unix64.S:104
 #30 ffi_call_int at ../src/x86/ffi64.c:673
 #31 ffi_call at ../src/x86/ffi64.c:710
 #32 Gjs::Function::invoke at ../gi/function.cpp:1058
 #33 Gjs::Function::call at ../gi/function.cpp:1236
 #34 CallJSNative at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:486
 #35 js::InternalCallOrConstruct at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:566
 #36 InternalCall at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:647
 #37 js::CallFromStack at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:652
 #38 js::Interpret at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:3395
 #39 MaybeEnterInterpreterTrampoline at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:400
 #40 js::RunScript at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:458
 #41 js::InternalCallOrConstruct at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:612
 #42 InternalCall at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:647
 #43 js::Call at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:679
 #44 JS::Call at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/CallAndConstruct.cpp:117
 #46 GjsContextPrivate::run_main_loop_hook at ../gjs/context.cpp:1434
 #47 GjsContextPrivate::eval_module at ../gjs/context.cpp:1551
 #48 gjs_context_eval_module at ../gjs/context.cpp:1330
 #49 gjs_context_eval_module_file at ../gjs/context.cpp:1635

Comment 1 penguin283 2024-02-21 20:52:56 UTC
Created attachment 2018050 [details]
File: proc_pid_status

Comment 2 penguin283 2024-02-21 20:52:57 UTC
Created attachment 2018051 [details]
File: maps

Comment 3 penguin283 2024-02-21 20:52:58 UTC
Created attachment 2018052 [details]
File: limits

Comment 4 penguin283 2024-02-21 20:52:59 UTC
Created attachment 2018053 [details]
File: environ

Comment 5 penguin283 2024-02-21 20:53:01 UTC
Created attachment 2018054 [details]
File: open_fds

Comment 6 penguin283 2024-02-21 20:53:02 UTC
Created attachment 2018055 [details]
File: mountinfo

Comment 7 penguin283 2024-02-21 20:53:03 UTC
Created attachment 2018056 [details]
File: os_info

Comment 8 penguin283 2024-02-21 20:53:05 UTC
Created attachment 2018057 [details]
File: cpuinfo

Comment 9 penguin283 2024-02-21 20:53:06 UTC
Created attachment 2018058 [details]
File: core_backtrace

Comment 10 penguin283 2024-02-21 20:53:08 UTC
Created attachment 2018059 [details]
File: dso_list

Comment 11 penguin283 2024-02-21 20:53:09 UTC
Created attachment 2018060 [details]
File: var_log_messages

Comment 12 penguin283 2024-02-21 20:53:10 UTC
Created attachment 2018061 [details]
File: backtrace

Comment 13 Fedora Admin user for bugzilla script actions 2024-02-21 21:03:02 UTC
This component is maintained by the GNOME project. Issues with it should be reported directly to GNOME at https://gitlab.gnome.org/GNOME/.

This issue should only be kept open if it:

1. Relates to Fedora packaging or integration with other Fedora components
2. Is required for Fedora release processes, such as blocker bugs and freeze exceptions

If this issue isn't needed for either of these two reasons, please:

 * create an issue with GNOME
 * add a link to the GNOME issue here
 * close this issue as CLOSED/UPSTREAM

Thank you!

Comment 14 Zdenek Dohnal 2024-03-06 12:46:08 UTC
Upstream issue https://gitlab.gnome.org/GNOME/mutter/-/issues/3329 .

I have the same issue - gnome-shell crashes every time I send email.

It looks like mitigation/fix is to use Thunderbird built with wayland support according the upstream issue.

Either way, crashing the app once email is sent is a problem - reopening this bug and proposing this as Beta blocker.

Comment 15 Zdenek Dohnal 2024-03-06 13:15:43 UTC
Installing thunderbird-wayland and using its shell script (sets env variable MOZ_ENABLE_WAYLAND to 1 and runs thunderbird) mitigates/fixes the issue in this case.

Comment 16 Adam Williamson 2024-03-06 17:58:15 UTC
-5 in https://pagure.io/fedora-qa/blocker-review/issue/1498 for Beta blocker , but instead of rejecting a few folks agreed we should propose as Final blocker instead, so doing that. Also proposing as BetaFE (if we slip Beta and a fix for this shows up we should definitely pull it in) and marking as CommonBugs in case we have to release Beta with this in place.

Comment 17 Kamil Páral 2024-03-11 14:15:13 UTC
I tested the fix from https://gitlab.gnome.org/GNOME/mutter/-/merge_requests/3656/ in Thunderbird before and after, and it fixes the crash after sending email, at least for me. 

More testing is welcome. A koji scratch build with the patched mutter is here:
https://koji.fedoraproject.org/koji/taskinfo?taskID=114803242

Comment 18 Adam Williamson 2024-03-12 01:38:32 UTC
Discussed at today's blocker review meeting: https://meetbot-raw.fedoraproject.org/blocker-review_matrix_fedoraproject-org/2024-03-11/f40-blocker-review.2024-03-11-16.00.html . This was accepted as an FE, but only if the fix can somehow be isolated from the 46-rc megaupdate and shipped separately, since we rejected the 46-rc update as a whole in 2267754. Achieving this is left as an exercise for the maintainers, if they want to try it.

Comment 19 Kamil Páral 2024-03-13 07:03:41 UTC
This is now fixed upstream. We need an update in Fedora.

Comment 20 Fedora Update System 2024-03-18 16:25:10 UTC
FEDORA-2024-1ed0b13d87 (gnome-shell-46.0-1.fc40, gnome-shell-extensions-46.0-1.fc40, and 1 more) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-1ed0b13d87

Comment 21 Kamil Páral 2024-03-19 11:34:33 UTC
(In reply to Fedora Update System from comment #20)
> FEDORA-2024-1ed0b13d87 (gnome-shell-46.0-1.fc40,
> gnome-shell-extensions-46.0-1.fc40, and 1 more) has been submitted as an
> update to Fedora 40.
> https://bodhi.fedoraproject.org/updates/FEDORA-2024-1ed0b13d87

With this update, I see no crashes when sending an email in Thunderbird.

Comment 22 Fedora Update System 2024-03-20 19:56:05 UTC
FEDORA-2024-1ed0b13d87 (gnome-shell-46.0-1.fc40, gnome-shell-extensions-46.0-1.fc40, and 1 more) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.